package com.zsc.edu.gateway.modules.iot.product.repo;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zsc.edu.gateway.modules.iot.product.entity.Product;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;


/**
 * @author Yao
 */
public interface ProductRepository extends BaseMapper<Product> {
    @Select("select * from iot_product where name=#{name}")
    Product findByName(@Param("name") String name);

    Product selectById(@Param("id") Long id);
}
