package com.zsc.edu.gateway.modules.system.vo;

import com.zsc.edu.gateway.modules.system.entity.Authority;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author lenovo
 */
@Data
public class RoleVo {
    /**
     * 自增主键
     */
    public Long id;
    /**
     * 角色名
     */
    private String name;
    /**
     *级别
     */
    private Integer level;
    /**
     * 描述
     */
    private String description;
    /**
     * 数据权限
     */
    private String dataScope;
    /**
     * 创建人
     */
    private String createBy;
    /**
     * 更新人
     */
    private String updateBy;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新时间
     */
    private Date updateTime;
    /**
     * 启用状态
     */
    private Boolean enabled;
    /**
     * 备注
     */
    private String remark;

    private List<Authority> authorities;
}
