create table iot_record_data
(
    id            serial not null
        constraint iot_record_data_pk
            primary key,
    client_id     varchar,
    attachment_id varchar,
    content       varchar,
    record_time   timestamp
);

comment on table iot_record_data is '上报数据表';

comment on column iot_record_data.id is '主键';

comment on column iot_record_data.client_id is '委托人ID';

comment on column iot_record_data.attachment_id is '附件ID ';

comment on column iot_record_data.content is '内容';

comment on column iot_record_data.record_time is '记录时间';

alter table iot_record_data
    owner to gitea;

